
using APT.MS.Domain.Entities.HM;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using APT.Infrastructure.Core;
using APT.BaseData.Domain.Entities.FM;

namespace APT.MS.Domain.Entities.HM
{
    /// <summary>
    /// 危险源及风险库相关岗位
    /// </summary>
    [Description("危险源及风险库相关岗位")]
    public class T_HM_EVALUATE_RISK_WORKDUTY : MesEntityBase
    {
        /// <summary>
        /// 危险源及风险库ID
        /// </summary>
        [Description("危险源及风险库ID")]
        [DataFieldForeignKey("Nav_EvaluationRisk", "Nav_EvaluateRiskWorkduty")]
        public Guid EVALUATION_RISK_ID { get; set; }
        /// 相关岗位
        /// </summary>
        [Description("相关岗位")]
        [DataFieldForeignKey("Nav_Post")]
        [FormFieldEdit]
        public Guid POST_ID { get; set; }

        /// <summary>
        /// 导航属性：危险源及风险库
        /// </summary>
        [Description("导航属性：危险源及风险库")]
        public T_HM_EVALUATE_RISK Nav_EvaluationRisk { get; set; }
        /// <summary>
        /// 导航属性：相关岗位
        /// </summary>
        [Description("导航属性：相关岗位")]
        public T_FM_USER_POST Nav_Post { get; set; }
    }
}
